﻿using System.Collections.Generic;
using VCinemaApi.Models;

namespace VCinemaApi.Data
{
    public interface IScreenRepository
    {
        public bool SaveChanges();

        public IEnumerable<Screen> GetScreens();
        public Screen GetScreenById(int id);
        public void CreateScreen(Screen screen);
        public void UpdateScreen(Screen screen);
        public void SetPlayingById(int id, bool playing);
        public void SetPositionById(int id, double position);
        public bool GetPlayingById(int id);
        public double GetPositionById(int id);
        public double GetCurrentPositionById(int id);
    }
}
