﻿using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace VCinemaApi.Models
{
    public class Screen
    {
        [Key]
        public int Id { get; set; }

        [Required]
        [MaxLength(100)]
        public string Name { get; set; }

        [Required]
        [MaxLength(250)]
        public string Source { get; set; }

        [Required]
        [DefaultValue(false)]
        public bool Playing { get; set; }

        [Required]
        [DefaultValue(0.0)]
        public double Position { get; set; }

        [JsonIgnore]
        public DateTime LastModified { get; set; }
    }
}
